Name: postfix
%define base_ver 2.2.4
%define snap_ver %nil
Version: %base_ver%snap_ver
%define srcname %name-%version
Release: alt3
Serial: 1

Summary: Postfix Mail Transport Agent
License: IBM Public License
Group: System/Servers
Url: http://www.postfix.org/
Packager: Postfix Development Team <postfix@packages.altlinux.org>

# ftp://ftp.porcupine.org/mirrors/postfix-release/official/
# ftp://ftp.porcupine.org/mirrors/postfix-release/experimental/
Source0: ftp://ftp.porcupine.org/mirrors/postfix-release/official/%srcname.tar.bz2
Source2: %name-mynetworks
Source3: %name.init
Source4: %name.cron.daily
Source5: %name.chroot.lib
Source6: %name.chroot.conf
Source7: %name.chroot.all
Source8: %name-master-chrootify.awk
Source9: %name-master-comment.awk
Source11: %name-lorder.sh
Source12: %name-oclosure.sh
Source13: README.ALT-ru_RU.KOI8-R

# TLS/SASL
Patch1: %name-2.2.4-deb-alt-sasl-config.patch

# Owl/mjt
Patch11: %name-2.2.4-owl-sparse-hack.patch
Patch12: %name-2.2.4-mjt-var_command_maxtime.patch

# ALT
Patch21: %name-2.2.4-alt-check.patch
Patch22: %name-2.2.4-alt-install.patch
Patch23: %name-2.2.4-alt-defaults.patch
Patch24: %name-2.2.4-alt-filelist.patch
Patch25: %name-2.2.4-alt-post-install.patch
Patch26: %name-2.2.4-alt-main.cf.patch
Patch27: %name-2.2.4-alt-dynamicmaps.patch
Patch28: %name-2.2.4-alt-local_minimum_uid.patch
Patch29: %name-2.2.4-alt-mailbox_unpriv_delivery.patch
Patch30: %name-2.2.4-alt-postconf-virtual_maps.patch

# Deb
Patch41: %name-2.2.4-deb-man.patch
Patch42: %name-2.2.4-deb-greylist.patch

%def_with cdb
%def_with ldap
%def_with mysql
%def_with pcre
%def_with pgsql
%def_without ipv6
%def_with tls

# Chrooted environment
%define ROOT /var/spool/%name

# Configuration definitions below are here for both customization
# and to simplify building list of files for a package (converting
# %name-files list to rpm's filelist).

%define queue_directory %_var/spool/%name
%define config_directory %_sysconfdir/%name

%define daemon_directory %_libexecdir/%name
%define program_directory %daemon_directory
%define command_directory %_sbindir

%define newaliases_path %_bindir/newaliases
%define mailq_path %_bindir/mailq
%define sendmail_path %_sbindir/sendmail

%define docdir %_docdir/%name-%version
%define manpage_directory %_mandir
%define html_directory %docdir/html
%define readme_directory %config_directory/README_FILES

%define mail_admin mailadm
%define mail_owner postfix
%define setgid_group postdrop
%define default_privs postman

%define restart_flag /var/run/%name.restart
%define libpostfix lib%name-%version.so
%define libpostfix_dict lib%{name}_dict-%version.so

Provides: MTA, MailTransportAgent
Provides: smtpd, smtpdaemon, %name-smtpd
Conflicts: sendmail, masqmail, exim
Obsoletes: %name-beta, %name-smtpd
PreReq: shadow-utils, chkconfig, sendmail-common >= 1.3, chrooted >= 0.3, %name-control >= 1.1

# This is used to be MDA, but default postfix main.cf uses procmail.
Requires: procmail

BuildPreReq: rpm-build >= 4.0.4-alt0.3, sendmail-common >= 1.3, coreutils, chrooted >= 0.3
%{?_with_cdb:BuildPreReq: libcdb-devel}
%{?_with_pcre:BuildPreReq: libpcre-devel}
%{?_with_ldap:BuildPreReq: libldap-devel}
%{?_with_mysql:BuildPreReq: libMySQL-devel}
%{?_with_pgsql:BuildPreReq: postgresql-devel}
%{?_with_tls:BuildPreReq: libssl-devel libsasl2-devel}

# Automatically added by buildreq on Fri Oct 31 2003
BuildRequires: groff-base html2text libdb4-devel

%description
Postfix is Wietse Venema's attempt to provide an alternative to the
widely-used Sendmail program.  Postfix attempts to be fast, easy to
administer, and hopefully secure, while at the same time being sendmail
compatible enough to not upset your users.

%package ldap
Summary: LDAP map support for Postfix
Group: System/Servers
Requires: %name = %serial:%version-%release

%description ldap
This package provides support for LDAP maps in Postfix.

%package mysql
Summary: MySQL map support for Postfix
Group: System/Servers
Requires: %name = %serial:%version-%release

%description mysql
This package provides support for MySQL maps in Postfix.

%package pcre
Summary: PCRE map support for Postfix
Group: System/Servers
Requires: %name = %serial:%version-%release

%description pcre
This package provides support for PCRE maps in Postfix.

%package pgsql
Summary: PostgreSQL map support for Postfix
Group: System/Servers
Requires: %name = %serial:%version-%release

%description pgsql
This package provides support for PostgreSQL maps in Postfix.

%package tls
Summary: TLS and SASL support for Postfix
Group: System/Servers
Requires: %name = %serial:%version-%release

%description tls
This package provides support for TLS and SASL in Postfix.

%package html
Summary: html documentation for Postfix
Group: System/Servers
Requires: %name = %serial:%version-%release

%description html
This package provides documentation for Postfix in html format.

%prep
%setup -q -n %srcname

%if_with tls
%patch1 -p1
%endif #with tls

%patch11 -p1
%patch12 -p1

%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1

%patch41 -p1
%patch42 -p1

%if_with tls
rm -rf src/*-tls
for i in lmtp smtp smtpd; do
	cp -a src/$i src/$i-tls
done
%endif #with tls

find -type f -name \*.orig -delete -print

# Add some makefile targets where appropriate.
%__subst 's/^update /&objs dicts /' Makefile.in
%__subst 's/^# do not edit below this line/objs: $(OBJS)\n\nobjs-print: objs\n\tls -1 $(OBJS)\n\n&/' \
	src/*/Makefile.in

# Change program names for smtp, smtpd and lmtp.
%__subst 's/^PROG[[:space:]]*=.*/&-std/' src/{smtp,smtpd,lmtp}/Makefile.in
%if_with tls
%__subst 's/^PROG[[:space:]]*=.*/&-tls/' src/{smtp,smtpd,lmtp}-tls/Makefile.in
%endif #with tls

# Fix master.cf
%__awk -f %_sourcedir/%name-master-chrootify.awk <conf/master.cf >conf/master.cf.new
%__mv conf/master.cf.new conf/master.cf
%__awk -f %_sourcedir/%name-master-comment.awk <conf/master.cf >conf/master.cf.new
%__mv conf/master.cf.new conf/master.cf
%__subst 's,^\(smtp[[:space:]]\+inet[[:space:]]\+.*[[:space:]]\+smtpd[[:space:]]*\)$,#\1,' conf/master.cf

# Remove license, makedefs.out, html documentation, man pages, readme files and sample files from master list.
%__subst '/\(LICENSE\|makedefs\.out\|\(html\|manpage\|readme\|sample\)_directory\)/ d' conf/%name-files
%__rm -f conf/LICENSE

# More std/tls tweaks for filelist.
%__subst 's,^.*/\(lmtp\|smtp\|smtpd\),&-std,' conf/%name-files
%if_with tls
# comment out tlsmgr
%__subst -p 's/[^#]*tlsmgr/#&/' conf/%name-files
%endif #with tls

if [ "%_libexecdir" != "/usr/libexec" ]; then
	find -type f -print0 |
		xargs -r0 %__grep -FZl /usr/libexec -- |
		xargs -r0 %__subst -p 's,/usr/libexec,%_libexecdir,g' --
fi

# Create mynetworks and mydestination.
%__install -p -m644 %_sourcedir/%name-mynetworks conf/mynetworks
touch conf/mydestination

### BUILD ###
%build

MAKEFLAGS="$MAKEFLAGS DEF_MAIL_VERSION=%version"
%{?_without_ipv6:MAKEFLAGS="$MAKEFLAGS NO_IPV6=1"}
export MAKEFLAGS

OPT="$RPM_OPT_FLAGS -Wno-comment"
CCARGS="\
 -DDEF_COMMAND_DIR=\\\"%command_directory\\\" \
 -DDEF_CONFIG_DIR=\\\"%config_directory\\\" \
 -DDEF_DAEMON_DIR=\\\"%daemon_directory\\\" \
 -DDEF_HTML_DIR=\\\"%html_directory\\\" \
 -DDEF_MAILQ_PATH=\\\"%mailq_path\\\" \
 -DDEF_MANPAGE_DIR=\\\"%manpage_directory\\\" \
 -DDEF_NEWALIAS_PATH=\\\"%newaliases_path\\\" \
 -DDEF_PROGRAM_DIR=\\\"%program_directory\\\" \
 -DDEF_QUEUE_DIR=\\\"%queue_directory\\\" \
 -DDEF_README_DIR=\\\"%readme_directory\\\" \
 -DDEF_SAMPLE_DIR=\\\"%readme_directory\\\" \
 -DDEF_SENDMAIL_PATH=\\\"%sendmail_path\\\" \
"
DICTS=
DICT_LIBS="-ldl -ldb"
DICT_ARGS="$CCARGS"
SYSLIBS="-lnsl -lresolv"
AUXLIBS=

%if_with cdb
DICT_ARGS="$DICT_ARGS -DHAS_CDB"
DICT_LIBS="$DICT_LIBS -lcdb"
%endif #with cdb

%if_with ldap
DICT_ARGS="$DICT_ARGS -DHAS_LDAP"
DICTS="$DICTS \$(DICT_LDAP)"
%endif #with ldap

%if_with mysql
DICT_ARGS="$DICT_ARGS -DHAS_MYSQL -I%_includedir/mysql"
DICTS="$DICTS \$(DICT_MYSQL)"
%endif #with mysql

%if_with pcre
DICT_ARGS="$DICT_ARGS -DHAS_PCRE `pcre-config --cflags`"
DICTS="$DICTS \$(DICT_PCRE)"
%endif #with pcre

%if_with pgsql
DICT_ARGS="$DICT_ARGS -DHAS_PGSQL -I%_includedir/pgsql"
DICTS="$DICTS \$(DICT_PGSQL)"
%endif #with pgsql

%if_with tls
TLS_ARGS="$CCARGS -DUSE_SASL_AUTH -DUSE_TLS -DHAS_SSL -I%_includedir/sasl -I%_includedir/openssl"
TLS_LIBS="-lsasl2 -lssl"
TLS_DIRS="src/global src/tls src/tlsmgr src/smtp-tls src/smtpd-tls src/lmtp-tls"
%endif #with tls

## Shared build model; suggested by mjt.
pushd src

# 0. Prepare.
make	-C .. \
	tidy makefiles \
	SYSLIBS="$SYSLIBS" \
	AUXLIBS="$AUXLIBS" \
	CCARGS="$DICT_ARGS -UUSE_TLS" \
	OPT="$OPT" \
	DEBUG=

# 1. build all static libs objects with %optflags_shared.
%make_build -C .. \
	update DEBUG='%optflags_shared' PROG= \
	DIRS="src/util src/global src/dns src/master src/tls"

# 2. separate libs objects into dict-dependent and others.
for a in */*.a; do
	ar t "$a" |
		sed -ne "s,.*,${a%/*}/&,p"
done | sort -u >postfix_all_obj.list
sh %_sourcedir/%name-lorder.sh `cat postfix_all_obj.list` |
	sort -u |
	sort -k2,2 >postfix_lorder.list
printf '%s\n%s\n' util/dict_{c,}db.o |
	sh %_sourcedir/%name-oclosure.sh postfix_lorder.list >postfix_dict_obj.list
join -v1 postfix_all_obj.list postfix_dict_obj.list >postfix_common_obj.list

# 3. build %libpostfix shared library.
gcc -shared -o ../lib/%libpostfix \
	-Wl,-O1 -Wl,-soname,%libpostfix \
	$SYSLIBS \
	`cat postfix_common_obj.list`
%__ln_s %libpostfix ../lib/libpostfix.so

# 4. build %libpostfix_dict shared library.
gcc -shared -o ../lib/%libpostfix_dict \
	-Wl,-O1 -Wl,-soname,%libpostfix_dict \
	`cat postfix_dict_obj.list` \
	$DICT_LIBS ../lib/libpostfix.so
%__ln_s %libpostfix_dict ../lib/libpostfix_dict.so

# 5. build applications objects.
%make_build -C .. objs

# 6. build dict-dependent applications with %libpostfix and %libpostfix_dict.
dict_build_dirs=
for d in *; do
	[ -f "$d/Makefile" ] || continue
	sh %_sourcedir/%name-lorder.sh `cat postfix_dict_obj.list` \
	             `MAKEFLAGS= make -C "$d" -s objs-print |sed -e "s,^,$d/,"` |
		sort -u |
		sort -k2,2 |
		join -1 1 -2 2 -o 2.1 postfix_dict_obj.list - |
		sort -u |join -v1 - postfix_dict_obj.list |
		fgrep -qs "$d"/ || continue
	dict_build_dirs="$dict_build_dirs src/$d"
done
%make_build -C .. \
	LIBS='../../lib/libpostfix.so ../../lib/libpostfix_dict.so' \
	DIRS="$dict_build_dirs" \
	SYSLIBS= \
	AUXLIBS= \
	#

# 7. build other applications with %libpostfix only.
%make_build -C .. \
	LIBS=../../lib/libpostfix.so \
	SYSLIBS= \
	AUXLIBS= \
	#

# 8. build dicts.
%make_build -C .. dicts \
	DIRS="src/global src/util" \
	DEBUG='%optflags_shared' \
	LIBS='../../lib/libpostfix.so ../../lib/libpostfix_dict.so' \
	SYSLIBS= \
	AUXLIBS= \
	DICTS="$DICTS" \
	#

popd # src

# SMP build seems to be broken here.
%__make manpages

%if_with tls
make	makefiles \
	DIRS="$TLS_DIRS" \
	SYSLIBS= \
	AUXLIBS= \
	CCARGS="$TLS_ARGS" \
	OPT="$OPT" \
	DEBUG=

%make_build \
	DIRS="$TLS_DIRS" \
	SYSLIBS="$TLS_LIBS ../../lib/libpostfix.so ../../lib/libpostfix_dict.so"
%endif #with tls

%__install -pm644 /usr/share/sendmail-common/aliases conf/
%__mkdir_p libexec/postqueue
%__mv bin/postqueue libexec/postqueue/

### INSTALL ###
%install

rln()
{
	local target=$1 && shift
	local source=$1 && shift
	target=`relative "$target" "$source"`
	%__ln_s -nf "$target" "%buildroot$source"
}

%__mkdir_p %buildroot{%ROOT,%_bindir,%_sbindir,%daemon_directory/postqueue,%_mandir}

# Install shared libraries and dictionaries.
%__install -p -m644 lib/%libpostfix lib/%libpostfix_dict %buildroot%_libdir/
%__install -p -m644 src/*/dict_*.so %buildroot%daemon_directory/ ||:

:>%name.files
# Postfix's postfix-install script accept various parameters both in
# command line and as environment variables.  Better to reset environment
# here, so no locally-set variable will give any surprise.
env -i "LD_LIBRARY_PATH=%buildroot%_libdir" \
	sh postfix-install -non-interactive \
		install_root=%buildroot \
		tempdir=%_tmppath

# prepare for std
for i in lmtp smtp smtpd; do
	rln $i-std %daemon_directory/$i
done

%if_with tls
%__install -pm755 libexec/{*-tls,tlsmgr} %buildroot%daemon_directory/
%endif #with tls

# Finish postqueue install.
%__chmod 700 %buildroot%daemon_directory/postqueue
rln %daemon_directory/postqueue/postqueue %command_directory/

%__install -p -m755 -D %SOURCE3 %buildroot%_initdir/%name
%__install -p -m755 -D %SOURCE4 %buildroot%_sysconfdir/cron.daily/%name
%__install -p -m750 -D %SOURCE5 %buildroot%_sysconfdir/chroot.d/%name.lib
%__install -p -m750 -D %SOURCE6 %buildroot%_sysconfdir/chroot.d/%name.conf
%__install -p -m750 -D %SOURCE7 %buildroot%_sysconfdir/chroot.d/%name.all

# Install /etc/aliases.
rln %config_directory/aliases %_sysconfdir/

# Install manpages
cp -a man/man{1,5,8} %buildroot%manpage_directory/

# Install qshape and rmail.
%__install -p -m755 auxiliary/qshape/qshape.pl %buildroot%_bindir/qshape
%__install -p -m755 auxiliary/rmail/rmail %buildroot%_bindir/

%__rm -rf %buildroot%docdir
%__mkdir_p %buildroot%docdir

%__cp -a html examples *README* COMPATIBILITY HISTORY LICENSE PORTING RELEASE_NOTES \
	%buildroot%docdir/
bzip2 -9 %buildroot%docdir/HISTORY
%if_with tls
%__mkdir_p %buildroot%docdir/tls
%__cp -a TLS_* \
	%buildroot%docdir/
bzip2 -9 %buildroot%docdir/TLS_CHANGES
%endif #with tls

%if_with ipv6
%__install -pm644 IPv6-ChangeLog %buildroot%docdir/
bzip2 -9 %buildroot%docdir/IPv6-ChangeLog
%endif #with ipv6

# Install README_FILES.
%__rm -rf %buildroot%config_directory/README_FILES
%__mkdir_p %buildroot%docdir/README_FILES
rln %docdir/README_FILES %config_directory/

# Install README.ALT
%__install -pm644 %SOURCE13 %buildroot%docdir/

touch %buildroot%config_directory/{access,aliases,canonical,relocated,transport,virtual}.{cdb,db}

# syslog.d
%__mkdir_p -m700 %buildroot%_sysconfdir/syslog.d
%__ln_s %ROOT/dev/log %buildroot%_sysconfdir/syslog.d/%name

# Chrooted environment
touch %buildroot%ROOT{%_sysconfdir/{localtime,hosts,services,{host,nsswitch,resolv}.conf},/var/nis/NIS_COLD_START}
mksock %buildroot%ROOT/dev/log

### RUNTIME SCRIPTS ###

%pre
/usr/sbin/groupadd -r -f %setgid_group
/usr/sbin/groupadd -r -f %mail_owner
/usr/sbin/groupadd -r -f %default_privs
/usr/sbin/groupadd -r -f %mail_admin
/usr/sbin/useradd -r -n -g %name -d %ROOT -s /dev/null -c %name %name >/dev/null 2>&1 ||:
/usr/sbin/useradd -r -n -g %default_privs -d /dev/null -s /dev/null -c %default_privs %default_privs >/dev/null 2>&1 ||:

%__rm -f %restart_flag
if [ $1 -ge 2 ]; then
	%_initdir/%name status >/dev/null 2>&1 && %_initdir/%name stop && touch %restart_flag ||:
	if [ ! -f %daemon_directory/postqueue/postqueue -a \
	       -f %command_directory/postqueue -a \
	     ! -L %command_directory/postqueue ]; then
		%__mkdir_p -m755 %daemon_directory/postqueue &&
		%__cp -pf %command_directory/postqueue %daemon_directory/postqueue/
	fi
	/usr/sbin/control-dump %name postqueue
fi

oua=/usr/sbin/update-alternatives
if [ -x "$oua" ]; then
	"$oua" --remove aliases %config_directory/aliases >/dev/null 2>&1 ||:
fi

%post
%post_ldconfig
if [ $1 = 1 ]; then
	/sbin/chkconfig --add %name
fi
%__rm -f %config_directory/{access,aliases,canonical,relocated,transport,virtual}.{,c}db
%config_directory/post-install upgrade-package
if [ $1 -ge 2 ]; then
	ALIASES=%config_directory/aliases /usr/share/sendmail-common/rebuild_aliases
	%_sysconfdir/chroot.d/%name.all --force
	/usr/sbin/control-restore %name postqueue
else
	/usr/sbin/control %name local
	/usr/sbin/control postqueue public
fi
if [ -f %restart_flag ]; then
	%__rm -f %restart_flag
	%_initdir/%name start ||:
fi

%preun
if [ $1 = 0 ]; then
	%_initdir/%name condstop
	/sbin/chkconfig --del %name
	%__rm -f %ROOT/lib/* %ROOT%_sysconfdir/* %ROOT/var/yp/binding/*
fi

%postun -p %postun_ldconfig

%if_with tls
%post tls
for n in lmtp smtp smtpd; do
      %__ln_s -nf "$n"-tls %daemon_directory/"$n"
done
%__subst -p 's/^#\(.*tlsmgr\)/\1/' %config_directory/%name-files
%config_directory/post-install upgrade-package

%preun tls
if [ $1 = 0 ]; then
	for n in lmtp smtp smtpd; do
	      %__ln_s -nf "$n"-std %daemon_directory/"$n"
	done
	%__subst -p 's/[^#]*tlsmgr/#&/' %config_directory/%name-files
fi
%endif #with tls

%triggerpostun -- sendmail, exim, %name <= 0:20010228
[ $1 = 0 ] || exit 0
%__ln_s -nf %name/aliases %_sysconfdir/aliases
%_sysconfdir/chroot.d/%name.all

%files -f %name.files
%config %_initdir/%name
%config(noreplace) %_sysconfdir/cron.daily/%name
%config %_sysconfdir/chroot.d/*
%_sysconfdir/aliases
%ghost %attr(644,root,root) %config(missingok) %verify(not md5 mtime size) %config_directory/*.db
%ghost %attr(644,root,root) %config(missingok) %verify(not md5 mtime size) %config_directory/*.cdb
%attr(-,root,root) %daemon_directory/lmtp
%attr(-,root,root) %daemon_directory/smtp
%attr(-,root,root) %daemon_directory/smtpd
%_sysconfdir/syslog.d/%name
%_libdir/%libpostfix
%_libdir/%libpostfix_dict
%attr(700,root,root) %verify(not mode,group) %dir %daemon_directory/postqueue
%command_directory/postqueue
%_bindir/qshape
%_bindir/rmail
%_mandir/man?/*
%if_with tls
%exclude %_mandir/man?/*tls*
%endif #with tls

%doc %config_directory/README_FILES
%dir %docdir
%docdir/examples
%docdir/[A-Z]*
%if_with tls
%exclude %docdir/TLS_*
%endif # with tls

# Chrooted environment
%attr(644,root,root) %verify(not md5 mtime size) %ghost %ROOT%_sysconfdir/*
%attr(666,root,root) %ghost %ROOT/dev/log
%ghost %config(missingok) %verify(not md5 mtime size) %ROOT/var/nis/NIS_COLD_START

%files html
%dir %docdir
%docdir/html

%if_with ldap
%files ldap
%daemon_directory/dict_ldap-%version.so
%endif #with ldap

%if_with mysql
%files mysql
%daemon_directory/dict_mysql-%version.so
%endif #with mysql

%if_with pcre
%files pcre
%daemon_directory/dict_pcre-%version.so
%endif #with pcre

%if_with pgsql
%files pgsql
%daemon_directory/dict_pgsql-%version.so
%endif #with pgsql

%if_with tls
%files tls
%_mandir/man?/*tls*
%dir %daemon_directory
%daemon_directory/*-tls
%daemon_directory/tlsmgr
%dir %docdir
%docdir/TLS_*
%endif #with tls

%changelog
* Wed Jun 29 2005 Dmitry V. Levin <ldv@altlinux.org> 1:2.2.4-alt3
- Changed default database type:
  alias_database = cdb:/etc/postfix/aliases
  alias_maps = cdb:/etc/postfix/aliases
  default_database_type = cdb
- Hardened $queue_directory/maildrop directory permissions.
- Enhanced documentation of ALT-specific changes of defaults.

* Sat Jun 25 2005 Dmitry V. Levin <ldv@altlinux.org> 1:2.2.4-alt2
- Packaged qshape.

* Thu Jun 23 2005 Dmitry V. Levin <ldv@altlinux.org> 1:2.2.4-alt1
- Updated to 2.2.4.
- Rediffed patches.

* Mon Jun 13 2005 Dmitry V. Levin <ldv@altlinux.org> 1:2.2.3-alt1
- Removed no longer needed deb-tls-master.cf patch.
- Updated alt-post-install patch to handle new services properly.
- Updated awk build scripts to handle new master.cf properly.
- Minor README.ALT tweaks.

* Thu Jun 12 2005 LAKostis <lakostis at altlinux.org> 1:2.2.3-alt0.5
- Returned back to old build model, with tls and sasl enabled together.
- Removed sed from build dependencies.
- Updated sasl_config patch for 2.2.3.
- Added README.ALT.

* Thu Jun 02 2005 LAKostis <lakostis at altlinux.org> 1:2.2.3-alt0.4
- s,alt,deb, in sasl_config patch as more correct.
- Define SASL vars in all build stages.
- Build with TLS and SASL by default.

* Sun May 29 2005 LAKostis <lakostis at altlinux.org> 1:2.2.3-alt0.3
- Updated to 2.2.3.
- Merged debian patches (for man pages and /etc/postfix/sasl/smtpd.conf).
- Updated alt patches.
- Build with new postgresql.
- 0.1 and 0.2 - internal releases.

* Wed May 11 2005 Dmitry V. Levin <ldv@altlinux.org> 1:2.1.6-alt1
- Updated to 2.1.6.

* Thu Apr 21 2005 Dmitry V. Levin <ldv@altlinux.org> 1:2.1.5-alt3
- Build fix: updated %name-lorder.sh to use join(1) in more portable way.

* Thu Mar 10 2005 Dmitry V. Levin <ldv@altlinux.org> 1:2.1.5-alt2
- Reverted change to default queue_minfree value
  which was introduced in 2.1.5-alt1.
- Fixed postfix-tls (closes #6214).
- Enabled ipv6 for postfix-tls by default (closes #6216).

* Fri Feb 25 2005 Dmitry V. Levin <ldv@altlinux.org> 1:2.1.5-alt1
- Cleaned up shlib model.
- Reviewed and rediffed patches.
- Disabled oqmgr packaging.
- Relocated documentation.
- Merged -readme subpackage back to main package.
- Updated TLS patch to deb-2.1.5-8.
- Changed daemon suffixes.
- Disabled %%verify check for files which are ususally changed after
  package installation, and for directory controlled via control(8) facility.
- Marked rare %%ghost files with %%config(missingok) attribute.
- Documented ALT-specific changes of defaults:
  default_privs = postman (introduced in 2.0.16-alt1);
  disable_vrfy_command = yes (introduced in 2.0.16-alt1);
  mynetworks_style = host (introduced in 2.0.16-alt1);
  mailbox_unpriv_delivery = yes (introduced in 2.0.16-alt3);
  virtual_minimum_uid = 500 (introduced in 2.0.16-alt3).
- Changed packager tag to reflect reality.

* Wed Feb 23 2005 LAKostis <lakostis at altlinux.ru> 1:2.1.5-alt0.5
- handle post/preun for -tls more correctly.
- remove bogus obsoletes tags.

* Tue Feb 22 2005 LAKostis <lakostis at altlinux.ru> 1:2.1.5-alt0.4
- relocate -virgin back to main postfix.
- disable ipv6 support.

* Mon Feb 21 2005 LAKostis <lakostis at altlinux.ru> 1:2.1.5-alt0.3
- rebuild with libdb4.3.
- check for proper dist-upgrade.
- TODO:
  - IPV6 patch update or IPV6 removal? :)

* Sat Jan 22 2005 LAKostis <lakostis at altlinux.ru> 1:2.1.5-alt0.2
- Move SASL2 and TLS to separate package (tnx to debian and ns@ for idea).
- Make postfix-virgin package with old functionality.
- Use tls+ipv6 patch from debian.
- TODO:
  + html-docs
  ? make cdb default
 
* Sat Jan 15 2005 LAKostis <lakostis at altlinux.ru> 1:2.1.5-alt0.1
- 2.1.5.
- update patches & spec.
- remove obsolete patches.

* Thu Oct 28 2004 Dmitry V. Levin <ldv@altlinux.org> 1:2.0.20-alt2
- init.d/postfix(reload): check postfix configuration.

* Fri Apr 23 2004 Dmitry V. Levin <ldv@altlinux.org> 1:2.0.20-alt1
- Updated to 2.0.20.

* Mon Apr 19 2004 Dmitry V. Levin <ldv@altlinux.org> 1:2.0.19-alt3
- dict_cdb: updated to libcdb.so.1.
- postfix.chroot.conf: fixed tab spaces handling.

* Mon Apr 19 2004 Dmitry V. Levin <ldv@altlinux.org> 1:2.0.19-alt2
- Changed shlib model to reduce shlib dependencies.  It should
  fix potential upgrade problems caused by shlib soname changes.
- chroot.d/postfix.conf: honor --verbose option.

* Tue Mar 16 2004 Dmitry V. Levin <ldv@altlinux.org> 1:2.0.19-alt1
- Updated to 2.0.19.

* Tue Mar 09 2004 Dmitry V. Levin <ldv@altlinux.org> 1:2.0.18-alt4
- postfix.chroot.conf: fail when postconf(1) fails (#3789).
- regexp_table(5): fixed regex syntax reference (#3766).

* Mon Feb 16 2004 Dmitry V. Levin <ldv@altlinux.org> 1:2.0.18-alt3
- Updated for chrooted-0.3.
- Rebuilt with libdb-4.2.so.

* Wed Feb 11 2004 Dmitry V. Levin <ldv@altlinux.org> 1:2.0.18-alt2
- postconf: show virtual_maps legacy parameter.
- main.cf.default: fixed (was empty).
- postfix.chroot.conf: implemented smart aliases and maps update.

* Fri Jan 23 2004 Dmitry V. Levin <ldv@altlinux.org> 1:2.0.18-alt1
- Updated to 2.0.18.

* Wed Jan 21 2004 Dmitry V. Levin <ldv@altlinux.org> 1:2.0.17-alt1
- Updated to 2.0.17.
- Fixed %%pre script to avoid unwanted postfix start on upgrade.

* Sat Nov 08 2003 Dmitry V. Levin <ldv@altlinux.org> 1:2.0.16-alt5
- Ensure that all shared libraries are built with %%optflags_shared.

* Sat Nov 01 2003 Dmitry V. Levin <ldv@altlinux.org> 1:2.0.16-alt4
- Fixed dynamic map loading support (broken in -alt3).

* Thu Oct 30 2003 Dmitry V. Levin <ldv@altlinux.org> 1:2.0.16-alt3
- Documented cdb hashing method everywhere.
- Implemented change to local(8) service and unix:passwd.byname map,
  to skip system users by default.
  Tunable by local_minimum_uid parameter, default is 500.
- Implemented change to local(8) deliver_mailbox_file to perform
  all operations as recipient user by default.
  Tunable by mailbox_unpriv_delivery parameter, default is true.
- Changed hardcoded default for virtual_minimum_uid parameter,
  from 100 to 500.
- Relocated shared library.
- Enable manpage regeneration.

* Wed Oct 29 2003 Dmitry V. Levin <ldv@altlinux.org> 1:2.0.16-alt2
- Provide smoother migration from %name-smtpd.
- Fixed build without optional modules (reported by Anton V. Denisov).

* Sun Oct 19 2003 Dmitry V. Levin <ldv@altlinux.org> 1:2.0.16-alt1
- Updated to 2.0.16.
- Dropped update-alternatives support for %_sysconfdir/aliases.
- Updated startup script.
- Updated patches:
  owl-sparse-hack, alt-install, alt-main.cf.
- New patches:
  ns-mx-acl-patch (unofficial from upstream),
  pg.postfix-2.0.0.2 (pgsql support),
  mjt-sharedlib-cmdmaxtime, pld-doc-cdb, deb-alt-doc, deb-ldap,
  alt-check, alt-defaults, alt-filelist, alt-post-install, alt-dynamicmaps.
- Removed patches:
  alt-script (obsoleted by alt-install)
  alt-def_mailbox_lock (obsoleted by alt-defaults)
- Hardcoded most essential changes in config defaults:
  alias_database = hash:/etc/postfix/aliases
  alias_maps = hash:/etc/postfix/aliases
  daemon_directory = /usr/lib/postfix
  default_privs = postman
  disable_vrfy_command = yes
  mailbox_delivery_lock = fcntl
  mynetworks_style = host
- Build postfix shared library.
- Added CDB support.
  See http://www.corpit.ru/mjt/tinycdb.html for details.
- Enabled ldap support (in -ldap subpackage).
- Enabled mysql support (in -mysql subpackage).
- Enabled pcre support (in -pcre subpackage).
- Added pgsql support (in -pgsql subpackage).
- Implemented dynamic map loading support.
- Implemented control(8) support for postfix server and postqueue.
- Dropped smtpd subpackage.
- Disabled nis:mail.aliases lookup by default.
- Disabled sasl support for a while.

* Mon Jul 28 2003 Dmitry V. Levin <ldv@altlinux.org> 1:1.1.13-alt1
- Updated to 1.1.13 (bugfix release).
- Updated start/stop script to new rc scheme.
- Updated build dependencies.

* Wed Jan 29 2003 Dmitry V. Levin <ldv@altlinux.org> 1:1.1.12-alt2
- Make use of syslogd-1.4.1-alt11 /etc/syslog.d/ feature (#0002062).

* Mon Nov 25 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.1.12-alt1
- 1.1.12 release.
- chrooted.d/postfix.conf:
  + purge all chroot jail configs in force mode;
  + be more verbose on errors.
- chrooted.d/postfix.lib:
  + purge all chroot jail libs in force mode;
  + don't put unneeded libraries into chroot jail.

* Thu Oct 31 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.1.11-alt2
- Use subst instead of perl for build and %%post* scripts.

* Thu May 30 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.1.11-alt1
- 1.1.11 release.

* Tue May 21 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.1.10-alt2
- Fixed typo in startup script made in previous release.

* Mon May 20 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.1.10-alt1
- 1.1.10 release.
- Moved /usr/share/postfix/* to sendmail-common package.

* Sat May 18 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.1.9-alt2
- Smtp/inet service now turned off by default unless postfix-smtpd is installed.
- Added SASL support for lmtp/unix, smtp/unix and smtp/inet services:
  it is turned off by default unless corresponding -sasl subpackages are installed.
- Startup script: added "condreload" option.

* Tue May 14 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.1.9-alt1
- 1.1.9 release.

* Tue May 07 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.1.8-alt1
- 1.1.8 release.
- Set default mailbox_lock style to "fcntl".

* Tue Apr 16 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.1.7-alt2
- Updated chroot (added NIS/NIS+ support).

* Mon Apr 01 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.1.7-alt1
- 1.1.7 release.
- Updated --with/--without specfile logic.

* Wed Mar 27 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.1.6-alt1
- 1.1.6 release.

* Mon Mar 25 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.1.5-alt2
- Updated --with/--without specfile logic.
- Build with libdb4.

* Fri Mar 22 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.1.5-alt1
- 1.1.5 release.

* Mon Feb 04 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.1.3-alt1
- 1.1.3 release.

* Mon Jan 28 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.1.2-alt1
- 1.1.2 release.

* Thu Jan 24 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.1.1-alt1
- 1.1.1 release.

* Sun Jan 13 2002 Dmitry V. Levin <ldv@alt-linux.org> 20020112-alt1
- 20020112.

* Sun Jan 13 2002 Dmitry V. Levin <ldv@alt-linux.org> 20020110-alt1
- 20020110.
- Changed postdrop command sgid named to postdrop.
- Changed local delivery agent default_privs to postman.
- Updated description (owl).
- Added %_sysconfdir/%name/{pcre,regexp}_table files.
- Rewritten %%install script.

* Fri Jan 04 2002 Dmitry V. Levin <ldv@alt-linux.org> 20011226-alt2
- Updated make_aliases script to work with tcb.

* Fri Dec 28 2001 Dmitry V. Levin <ldv@alt-linux.org> 20011226-alt1
- 20011226 (safety, see RELEASE_NOTES and HISTORY files).

* Wed Dec 19 2001 Dmitry V. Levin <ldv@alt-linux.org> 20011217-alt1
- 20011217 (security, see RELEASE_NOTES and HISTORY files).

* Thu Nov 29 2001 Dmitry V. Levin <ldv@alt-linux.org> 20011127-alt1
- 20011127:
  + New parameter smtpd_noop_commands;
  + New header/body_check.

* Tue Nov 27 2001 Dmitry V. Levin <ldv@alt-linux.org> 20011125-alt1
- 20011125:
  + New parameter smtpd_sender_login_maps;
  + New sender anti-spoofing restriction reject_sender_login_mismatch.

* Thu Nov 22 2001 Dmitry V. Levin <ldv@alt-linux.org> 20011121-alt1
- 20011121.

* Mon Nov 19 2001 Dmitry V. Levin <ldv@alt-linux.org> 20011115-alt2
- Correct build with new pcre.

* Fri Nov 16 2001 Dmitry V. Levin <ldv@alt-linux.org> 20011115-alt1
- 20011115 (session log memory exhaustion bugfix).

* Tue Oct 09 2001 Dmitry V. Levin <ldv@altlinux.ru> 20011008-alt1
- 20011008.

* Thu Sep 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 20010808-alt2
- Fixed %%post script: do not chkconfig if upgrading.

* Sun Sep 23 2001 Dmitry V. Levin <ldv@altlinux.ru> 20010808-alt1
- 20010808.
- Build with ldap support.

* Tue Jul 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 20010714-alt1
- 20010714.

* Wed Jul 11 2001 Dmitry V. Levin <ldv@altlinux.ru> 20010709-alt1
- 20010709.

* Mon Jun 11 2001 Dmitry V. Levin <ldv@altlinux.ru> 20010610-alt1
- 20010610.

* Thu Jun 07 2001 Dmitry V. Levin <ldv@altlinux.ru> 20010525-alt3
- Fixed directory permissions in %ROOT (was undefined before).

* Mon Jun 04 2001 Dmitry V. Levin <ldv@altlinux.ru> 20010525-alt2
- Fixed startup and check scripts.

* Tue May 29 2001 Dmitry V. Levin <ldv@altlinux.ru> 20010525-alt1
- 20010525.

* Tue May 08 2001 Dmitry V. Levin <ldv@altlinux.ru> 20010502-alt1
- 20010502.

* Mon Apr 02 2001 Dmitry V. Levin <ldv@altlinux.ru> 20010329-alt1
- 20010329.

* Wed Mar 21 2001 Dmitry V. Levin <ldv@altlinux.ru> 20010228-ipl3mdk
- Fixed %%triggerpostun script.

* Mon Mar 19 2001 Dmitry V. Levin <ldv@altlinux.ru> 20010228-ipl2mdk
- Updated aliases template.

* Fri Mar 02 2001 Dmitry V. Levin <ldv@fandra.org> 20010228-ipl1mdk
- Snapshot 20010228.

* Mon Feb 26 2001 Dmitry V. Levin <ldv@fandra.org> 20010225-ipl1mdk
- Snapshot 20010225.
- Updated aliases template.

* Thu Feb 22 2001 Dmitry V. Levin <ldv@fandra.org> 19991231pl13-ipl6mdk
- Moved common sendmail links to sendmail-common package.
- Fixed Requires.

* Wed Feb 07 2001 Dmitry V. Levin <ldv@fandra.org> 19991231pl13-ipl5mdk
- Fixed startup script (abort startup if failed to setup chroot).

* Fri Feb 02 2001 Dmitry V. Levin <ldv@fandra.org> 19991231pl13-ipl4mdk
- Rebuilt with db3-3.2.9.

* Wed Jan 31 2001 Dmitry V. Levin <ldv@fandra.org> 19991231pl13-ipl3mdk
- Added smtpd_size patch.
- Ported to new chrooted scheme.

* Sat Jan 06 2001 Dmitry V. Levin <ldv@fandra.org> 19991231pl13-ipl2mdk
- Rebuilt with db3-3.2.3e.

* Wed Dec 27 2000 Dmitry V. Levin <ldv@fandra.org> 19991231pl13-ipl1mdk
- Fixed %_datadir/%name/make_aliases script (installation problem).
- Fixed groupadd/useradd/chkconfig calls.

* Tue Dec 12 2000 Dmitry V. Levin <ldv@fandra.org>
- 19991231-pl13.
- Patched to work with LFS and pthread-aware db3.
- RE adaptions.
- FHSification.

* Fri Jun  2 2000 Dmitry V. Levin <ldv@fandra.org>
- 19991231-pl08

* Mon May 15 2000 Dmitry V. Levin <ldv@fandra.org>
- 19991231-pl07

* Tue Apr  4 2000 Dmitry V. Levin <ldv@fandra.org>
- 19991231-pl06

* Tue Mar 28 2000 Dmitry V. Levin <ldv@fandra.org>
- dependency fix with resolv.conf and chroot setup

* Mon Mar 13 2000 Dmitry V. Levin <ldv@fandra.org>
- 19991231-pl05

* Wed Mar 08 2000 Dmitry V. Levin <ldv@fandra.org>
- updated to rpm-3.0.4

* Thu Feb 10 2000 Dmitry V. Levin <ldv@fandra.org>
- 19991231-pl03

* Mon Jan  3 2000 Dmitry V. Levin <ldv@fandra.org>
- fixed chrooted libraries

* Sun Dec 26 1999 Dmitry V. Levin <ldv@fandra.org>
- 19990906-pl09
- fixed chrooted environment

* Wed Dec  1 1999 Dmitry V. Levin <ldv@fandra.org>
- 19990906-pl07
- fixed permissions

* Wed Sep  7 1999 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions

* Sat Jun  5 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- install bins from libexec/

* Sat Jun  5 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 19990601
- .spec cleanup for easier updates

* Wed May 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- created link from /usr/sbin/sendmail to /usr/lib/sendmail
  so it doesn't bug out when i rpm -e sendmail
- Now removes /var/lock/subsys/postfix like a good little prog
  upon rpm -e

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adptations.

* Tue Apr 13 1999 Arne Coucheron <arneco@online.no>
  [19990317-pl04-1]

* Tue Mar 30 1999 Arne Coucheron <arneco@online.no>
  [19990317-pl03-2]
- Castro, Castro, pay attention my friend. You're making it very hard
  maintaining the package if you don't follow the flow of the releases

* Thu Mar 25 1999 Arne Coucheron <arneco@online.no>
  [19990317-pl02-1]

* Tue Mar 23 1999 Arne Coucheron <arneco@online.no>
  [19990317-3]
- added bugfix patch01

* Sat Mar 20 1999 Arne Coucheron <arneco@online.no>
  [19990317-2]
- removed the mynetworks line in main.cf, let postfix figure it out
- striping of the files in /usr/sbin
- alias database moved to /etc/postfix and made a symlink to it in /etc
- enabled procmail support in main.cf and added it to Requires:
- check status on master instead of postfix in the init script
- obsoletes postfix-beta
- had to move some of my latest changelog entries up here since Edgard Castro
  didn't follow my releases

* Thu Mar 18 1999 Edgard Castro <castro@usmatrix.net>
  [19990317]

* Tue Mar 16 1999 Edgard Castro <castro@usmatrix.net>
  [alpha-19990315]

* Tue Mar  9 1999 Edgard Castro <castro@usmatrix.net>
  [19990122-pl01-2]
- shell and gecho information changed to complie with Red Hat stardand
- changed the name of the rpm package to postfix, instead of postfix-beta

* Tue Feb 16 1999 Edgard Castro <castro@usmatrix.net>
  [19990122-pl01-1]

* Sun Jan 24 1999 Arne Coucheron <arneco@online.no>
  [19990122-1]
- shell for postfix user changed to /bin/true to avoid logins to the account
- files in /usr/libexec/postfix moved to /usr/lib/postfix since this complies
  more with the Red Hat standard

* Wed Jan 06 1999 Arne Coucheron <arneco@online.no>
  [19981230-2]
- added URL for the source
- added a cron job for daily check of errors
- sample config files moved from /etc/postfix/sample to the docdir
- dropped making of symlinks in /usr/sbin and instead installing the real
  files there
- because of the previous they're not needed anymore in /usr/libexec/postfix,
  so they are removed from that place

* Fri Jan 01 1999 Arne Coucheron <arneco@online.no>
  [19981230-1]

* Tue Dec 29 1998 Arne Coucheron <arneco@online.no>
  [19981222-1]
- first build of rpm version
